Bug 656190 - Review Request: drupal6-pathauto - The Pathauto module automatically generates path aliases
Summary: Review Request: drupal6-pathauto - The Pathauto module automatically generate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 07:50 UTC by Peter Borsa
Modified: 2011-03-28 17:28 UTC (History)
3 users (show)

Fixed In Version: drupal6-pathauto-1.5-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-29 06:59:29 UTC
volker27: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Peter Borsa 2010-11-23 07:50:32 UTC
Spec URL: http://asrob.fedorapeople.org/drupal6-pathauto.spec
SRPM URL: http://asrob.fedorapeople.org/drupal6-pathauto-1.5-1.fc14.src.rpm
Description: The Pathauto module automatically generates path aliases for various kinds of content (nodes, categories, users) without requiring the user to manually specify the path alias. This allows you to get aliases like /category/my-node-title.html instead of /node/123. The aliases are based upon a "pattern" system which the administrator can control.

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-pathauto.spec ../SRPMS/drupal6-pathauto-1.5-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2618170
Watching tasks (this may be safely interrupted)...
2618170 build (dist-f14, drupal6-pathauto-1.5-1.fc14.src.rpm): free
2618170 build (dist-f14, drupal6-pathauto-1.5-1.fc14.src.rpm): free -> open (ppc07.phx2.fedoraproject.org)
  2618171 buildArch (drupal6-pathauto-1.5-1.fc14.src.rpm, i386): open (x86-03.phx2.fedoraproject.org)
  2618171 buildArch (drupal6-pathauto-1.5-1.fc14.src.rpm, i386): open (x86-03.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2618170 build (dist-f14, drupal6-pathauto-1.5-1.fc14.src.rpm): open (ppc07.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2618170 build (dist-f14, drupal6-pathauto-1.5-1.fc14.src.rpm) completed successfully

Comment 1 Peter Borsa 2010-12-01 17:24:13 UTC
Updated files:

http://asrob.fedorapeople.org/SOURCES/drupal6-pathauto.spec
http://asrob.fedorapeople.org/SOURCES/drupal6-pathauto-1.5-1.fc14.src.rpm

rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-pathauto.spec ../SRPMS/drupal6-pathauto-1.5-1.fc14.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2637132
Watching tasks (this may be safely interrupted)...
2637132 build (dist-f14, drupal6-pathauto-1.5-1.fc14.src.rpm): open (x86-20.phx2.fedoraproject.org)
  2637133 buildArch (drupal6-pathauto-1.5-1.fc14.src.rpm, noarch): free
  2637133 buildArch (drupal6-pathauto-1.5-1.fc14.src.rpm, noarch): free -> open (x86-15.phx2.fedoraproject.org)
  2637133 buildArch (drupal6-pathauto-1.5-1.fc14.src.rpm, noarch): open (x86-15.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2637132 build (dist-f14, drupal6-pathauto-1.5-1.fc14.src.rpm): open (x86-20.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2637132 build (dist-f14, drupal6-pathauto-1.5-1.fc14.src.rpm) completed successfully

Comment 2 Volker Fröhlich 2011-01-18 13:52:48 UTC
Please correct the license to GPLv2+, as all modules hosted in Drupal's CVS must be.

Comment 4 Volker Fröhlich 2011-01-25 22:46:34 UTC
[+] Good
[x] Needs work
[0] Does not apply

MUST:
=====

[+] rpmlint:

[makerpm@fedora13 rpmbuild]$ rpmlint SRPMS/drupal6-pathauto-1.5-2.fc13.src.rpm RPMS/noarch/drupal6-pathauto-1.5-2.fc13.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] Naming according to the Package Naming Guidelines
[+] Spec file matches base package name
[+] Packaging guidelines met
[+] License approved for Fedora
[+] License field in spec matches code
[+] License file included, if source package includes it
[+] Spec in American English
[+] Spec is legible
[+] Sources match upstream md5sum: bc18f8e88b71c55b130cc21fcfc4ce0e
[+] Compiles and builds into binary RPMs on at least one primary architecture:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2742412

[0] ExcludeArch is specified and commented
[+] Locales are handled correctly
[0] All build dependencies listed
[0] Calls ldconfig for its shared libraries
[0] No bundled system libraries
[0] Stated as relocatable package
[+] Owns all its directories or requires package that does
[+] No file listing duplicates
[+] File permissions correct
[+] Consistent use of macros
[+] Code or permissible content
[0] Large documentation in -doc subpackage
[+] No runtime dependency of files listed as %doc
[0] Header files in -devel subpackage
[0] Static files in -static subpackage
[0] Library files without suffix in -devel subpackage
[0] Devel-package requires base package
[0] No .la libtool archives
[0] GUI application includes properly installed %{name}.desktop file
[+] No files or directories owned, that other packages own
[+] Filenames in packages are UTF-8

SHOULD:
=======

[0] Query upstream if no license text is included
[+] Package builds in mock: Rawhide
[?] Package works as described -- Haven't tried
[0] Scriptlets are sane, if used
[0] Subpackages other than -devel should require base package (versioned)
[0] pkgconfig files in -devel subpackage
[0] Dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself
[0] Contain man pages, where they make sense

--------
APPROVED
--------

Comment 5 Peter Borsa 2011-01-28 20:44:25 UTC
New Package SCM Request
=======================
Package Name: drupal6-pathauto
Short Description: Automatically generates path aliases
Owners: asrob
Branches: f14 el5 el6
InitialCC:

Comment 6 Jason Tibbitts 2011-01-29 00:33:55 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-01-29 06:48:45 UTC
drupal6-pathauto-1.5-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-pathauto-1.5-2.el5

Comment 8 Fedora Update System 2011-01-29 06:57:10 UTC
drupal6-pathauto-1.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-pathauto-1.5-2.el6

Comment 9 Fedora Update System 2011-01-29 07:10:34 UTC
drupal6-pathauto-1.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-pathauto-1.5-2.fc14

Comment 10 Fedora Update System 2011-03-28 17:26:26 UTC
drupal6-pathauto-1.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2011-03-28 17:28:27 UTC
drupal6-pathauto-1.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.